API reference
ChannelTypeOptions
List channel types; creating a channel needs a channel_type_id from here. Read access, channels toolset, MCP tool get_channel_type_options.
Access: Read
Variables
| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
first | Int | no | 32-bit integer. Default 200 |
Call it
bash
curl https://api.missin.co.uk/graphql/v1 \
-H "Authorization: Bearer $MISSIN_API_KEY" \
-H "Content-Type: application/json" \
-d '{"operationName":"ChannelTypeOptions","variables":{},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"e6e8b6bc6d7eabc44dfef09811909edb86ad76109f62c8e6e79ded677f511351"}}}'Document
graphql
query ChannelTypeOptions($first: Int = 200) { __typename allChannelTypes(first: $first, orderBy: [SORT_ORDER_ASC]) { __typename nodes { __typename id name rowId slug } } }